<!DOCTYPE html>
<html>    
 <head> <!-- Entête HTML --> 
   <meta charset="utf-8" />
   <title>settype d'un réel</title>
 </head>
 <body>
 <?php
  define("WEB_EOL","<br/>");
  $x="18.2";
  var_dump($x);
  echo WEB_EOL;
  settype($x,"float"); // transtypage explicite
  var_dump($x);
  echo WEB_EOL;
  $y="8.2texte";
  var_dump($y);
  echo WEB_EOL;
  settype($y,"float"); // transtypage explicite
  var_dump($y);
  echo WEB_EOL;
 ?>
 </body>
</html>
